require_relative 'die'
require_relative 'project'
require_relative 'pledge_pool'

module CrowdFund
  module FundingRound
    def self.round_of_funds(project)
      die = Die.new
      case die.roll
      when 5..6
        project.remove(125)
      when 1..2
        project.add(500)
      else
        puts "\n#{project.name} didn't receive funds this time."
      end
      pledge = PledgePool.randomize
      project.receive_pledge(pledge)
    end
  end
end
