require_relative 'project'

module CrowdFund
  class SecureProject < Project

    def halfway?
      @amount == target / 2
    end

    def add(amount_to_add)
      if halfway?
        super(total_to_fund)
        puts "\n#{@name} has received a matching fund."
      else
        super(amount_to_add)
      end
    end

  end


  if __FILE__ == $0
    secure = SecureProject.new("bar", 100, 2000)
    10.times do
      secure.add(100)
      puts secure
    end
  end
end
