# -*- encoding: utf-8 -*-
# stub: fund_list 1.0.0 ruby lib

Gem::Specification.new do |s|
  s.name = "fund_list".freeze
  s.version = "1.0.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Victor Alexandre Franco Silva".freeze]
  s.date = "2015-08-01"
  s.description = "This RubyGem contains a nice-n-easy funding projects simulation, called FundList.\n\nThe sim runs in command-line, calling just the command crowd_fund (easy as that :0 )\n\nYou can choose the number of funding rounds and it will display the current stats of the projects.\n\nYou can also create a '.csv' file to hold projects, with a current amount and a target.\nThis file should be put next to the command when calling the sim.\n\nFile structure:\n\n--NAME--|--TARGET--|--AMOUNT-- (This is just for explanatory purpose)\nProject,1000,100\n(The commas must be put into each string of projects, without blankspace.)\n\nHave fun on this simulation. If you have any ideas, you can use the code,\nwhich already is tested, to create a new, different, sim!\n\nGood-bye !! =)".freeze
  s.email = "victor.alexandrefs@gmail.com".freeze
  s.executables = ["crowd_fund".freeze]
  s.files = ["bin/crowd_fund".freeze]
  s.homepage = "http://github.com/victorfranco".freeze
  s.licenses = ["MIT".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.9".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "A simple, fun, project funding simulation.".freeze

  s.installed_by_version = "3.3.7" if s.respond_to? :installed_by_version

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_development_dependency(%q<rspec>.freeze, [">= 0"])
  else
    s.add_dependency(%q<rspec>.freeze, [">= 0"])
  end
end
