module CrowdFund
  module Fundable
    def add(amount_to_add)
      self.amount += amount_to_add
      puts "\n#{name} got more funds."
    end

    def <=>(other)
      other.total_to_fund <=> total_to_fund
    end

    def remove(amount_to_remove)
      self.amount -= amount_to_remove
      puts "\n#{name} lost some funds."
    end

    def stats
      full? ? "Full!" : "Is under funded yet"
    end

    def full?
      total_to_fund <= 0
    end

    def total_to_fund
      self.target - self.amount
    end
  end
end
