module CrowdFund
  Pledge = Struct.new(:name, :value)

  module PledgePool
    PLEDGES = [
               Pledge.new(:bronze, 50),
               Pledge.new(:silver, 75),
               Pledge.new(:gold, 100)
              ]

    def self.randomize
      PLEDGES.sample
    end

    def self.list
      puts "There are #{PLEDGES.size} possible pledge amounts:"
      PLEDGES.each do |pledge|
        puts "A #{pledge.name} pledge is worth $#{pledge.value}."
      end
    end
  end
end
